#include <iostream>

#include "Birthday7.h"

using namespace std;

Birthday::Birthday() : year(0), month(0), date(0) {}
Birthday::Birthday(int y, int m, int d) : year(y), month(m), date(d) {}

int Birthday::get_year()  const { return year; }
int Birthday::get_month() const { return month; }
int Birthday::get_date()  const { return date; }

void Birthday::set_year(int y)  { year = y; }
void Birthday::set_month(int m) { month = m; }
void Birthday::set_date(int d)  { date = d; }

ostream& operator <<(ostream& outs, const Birthday& bd)
{
    outs << bd.month << "/" << bd.date << "/" << bd.year;
    return outs;
}

istream& operator >>(istream& ins, Birthday& bd)
{
    int y, m, d;
    char ch;

    ins >> ch;      // read {
    if (ch == '{')
    {
        ins >> y;   // read year

        ins >> ch;      // read ,
        if (ch == ',')
        {
            ins >> m;   // read month

            ins >> ch;      // read ,
            if (ch == ',')
            {
                ins >> d;   // read date

                ins >> ch;      // read }
                if (ch == '}')
                {
                    bd.year  = y;
                    bd.month = m;
                    bd.date  = d;
                }
            }
        }
    }

    return ins;
}
